#include <iostream>

using std::cin;
using std::cout;
using std::endl;

long int count = 0;

void hanoi(int fromPeg, int toPeg, int usingPeg1, int usingPeg2, int n)
{
  if (n<=0) return ;
  else if (n==1) 
  {
    cout << fromPeg << "->" << toPeg << endl;
    ::count++;
  }
  else // n >= 2
  {
    if (n>2) hanoi(fromPeg, usingPeg1, toPeg, usingPeg2, n-2);
    cout << fromPeg << "->" << usingPeg2 << endl;
    ::count++;
    cout << fromPeg << "->" << toPeg << endl;
    ::count++;
    cout << usingPeg2 << "->" << toPeg << endl;
    ::count++;
    if (n>2) hanoi(usingPeg1, toPeg, fromPeg, usingPeg2, n-2);
  }
}

int main()
{
  cout << "To move disks from peg #1 to peg #2 using peg #3 and peg #4.\n";
  cout << "Input the number of disks :";
  int n = 0;
  cin >> n;
  hanoi(1,2,3,4,n);
  cout << "Moves:" << ::count << endl;
  return 0;
}

