// Newton
// $$ \frac{\pi}{6} = \frac{1}{2}+\frac{1}{2}\left(\frac{1}{3\times 2^3}\right)+\frac{1}{2}\times\frac{3}{4}\left(\frac{1}{5\times 2^5}\right)+\frac{1}{2}\times\frac{3}{4}\times\frac{5}{6}\left(\frac{1}{7\times 2^7}\right)\cdots $$

#include <iostream>
#include <cmath>

int main()
{
	using namespace std;
	cout << "Enter iteration :"; // 1000000
	int iteration = 0;
	cin >> iteration;

	long double x = 0;
	for (int i=2; i<=iteration; i++)
	{
		int odd = i*2-1;
		long double odd_d = (long double) odd;
		long double term = 1.0L;
		for (int j=1; j<odd; j++) if ((j%2)==0) term /= (long double) j; else term *= (long double) j;
		term /= odd_d;
		for (int j=0; j<odd; j++) term /= 2.0L;
		x+=term;

	}
	long double pi = (x+0.5L)*6.0L;

	cout << "PI=" << pi << endl;
	return 0;
}


