// fraction
//
// $$ \frac{4}{\pi} = 1 + \frac{1}{3+\frac{4}{5+\frac{9}{7+\frac{16}{9+\frac{25}{11+\frac{36}{13+\dots}}}}}} $$
//

#include <iostream>

int main()
{
	int iteration = 0;
	std::cout << "Enter # of iterations :"; // 1000000
	std::cin >> iteration;
	long double x = iteration*2.0L - 1.0L;
	for (int i=iteration-1;i>0;i--)
	{
		long double left = i*2.0L - 1.0L;
		long double up = (long double)i*(long double)i;
		x = left+up/x;
	}
	long double pi = 4.0L / x;
	std::cout.precision(18);
	std::cout << pi << std::endl;
}

